tbb::flow::interface11::opencl_device_list Class Reference

`#include <flow_graph_opencl_node.h>`

Collaboration diagram for tbb::flow::interface11::opencl_device_list:

## Public Types

typedef container_type::iterator | iterator
typedef container_type::const_iterator | const_iterator
typedef container_type::size_type | size_type

## Public Member Functions

| opencl_device_list ()
| opencl_device_list (std::initializer_list< opencl_device > il)
void | add (opencl_device d)
size_type | size () const
bool | empty () const
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
const_iterator | cbegin () const
const_iterator | cend () const

## Private Types

typedef std::vector< opencl_device > | container_type

## Private Attributes

container_type | my_container

## Detailed Description

Definition at line 267 of file flow_graph_opencl_node.h.

## Member Typedef Documentation

## const_iterator

typedef container_type::const_iterator tbb::flow::interface11::opencl_device_list::const_iterator

Definition at line 271 of file flow_graph_opencl_node.h.

## container_type

typedef std::vector<opencl_device> tbb::flow::interface11::opencl_device_list::container_type

private

Definition at line 268 of file flow_graph_opencl_node.h.

## iterator

typedef container_type::iterator tbb::flow::interface11::opencl_device_list::iterator

Definition at line 270 of file flow_graph_opencl_node.h.

## size_type

typedef container_type::size_type tbb::flow::interface11::opencl_device_list::size_type

Definition at line 272 of file flow_graph_opencl_node.h.

## Constructor & Destructor Documentation

## opencl_device_list() [1/2]

tbb::flow::interface11::opencl_device_list::opencl_device_list | ( |  | ) |

inline

Definition at line 274 of file flow_graph_opencl_node.h.

{}

## opencl_device_list() [2/2]

tbb::flow::interface11::opencl_device_list::opencl_device_list | ( | std::initializer_list< opencl_device > | il | ) |

inline

Definition at line 275 of file flow_graph_opencl_node.h.

: my_container( il ) {}
tbb::flow::interface11::opencl_device_list::my_container
container_type my_container
Definition: flow_graph_opencl_node.h:288

## Member Function Documentation

## add()

void tbb::flow::interface11::opencl_device_list::add | ( | opencl_device | d | ) |

inline

Definition at line 277 of file flow_graph_opencl_node.h.

{ my_container.push_back( d ); }
d
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d
Definition: ittnotify_static.h:109

References d.

Referenced by tbb::flow::interface11::internal::find_available_devices(), and tbb::flow::interface11::opencl_info::default_device_filter::operator()().

Here is the caller graph for this function:

## begin() [1/2]

iterator tbb::flow::interface11::opencl_device_list::begin | ( |  | ) |

inline

Definition at line 280 of file flow_graph_opencl_node.h.

{ return my_container.begin(); }

Referenced by tbb::flow::interface11::opencl_program< Factory >::opencl_program_builder::opencl_program_builder(), and tbb::flow::interface11::opencl_info::default_device_filter::operator()().

Here is the caller graph for this function:

## begin() [2/2]

const_iterator tbb::flow::interface11::opencl_device_list::begin | ( |  | ) | const

inline

Definition at line 282 of file flow_graph_opencl_node.h.

{ return my_container.begin(); }

## cbegin()

const_iterator tbb::flow::interface11::opencl_device_list::cbegin | ( |  | ) | const

inline

Definition at line 284 of file flow_graph_opencl_node.h.

{ return my_container.cbegin(); }

Referenced by tbb::flow::interface11::opencl_info::default_device_filter::operator()().

Here is the caller graph for this function:

## cend()

const_iterator tbb::flow::interface11::opencl_device_list::cend | ( |  | ) | const

inline

Definition at line 285 of file flow_graph_opencl_node.h.

{ return my_container.cend(); }

Referenced by tbb::flow::interface11::opencl_info::default_device_filter::operator()().

Here is the caller graph for this function:

## empty()

bool tbb::flow::interface11::opencl_device_list::empty | ( |  | ) | const

inline

Definition at line 279 of file flow_graph_opencl_node.h.

{ return my_container.empty(); }

## end() [1/2]

iterator tbb::flow::interface11::opencl_device_list::end | ( |  | ) |

inline

Definition at line 281 of file flow_graph_opencl_node.h.

{ return my_container.end(); }

Referenced by tbb::flow::interface11::opencl_program< Factory >::opencl_program_builder::opencl_program_builder().

Here is the caller graph for this function:

## end() [2/2]

const_iterator tbb::flow::interface11::opencl_device_list::end | ( |  | ) | const

inline

Definition at line 283 of file flow_graph_opencl_node.h.

{ return my_container.end(); }

## size()

size_type tbb::flow::interface11::opencl_device_list::size | ( |  | ) | const

inline

Definition at line 278 of file flow_graph_opencl_node.h.

{ return my_container.size(); }

## Member Data Documentation

## my_container

container_type tbb::flow::interface11::opencl_device_list::my_container

private

Definition at line 288 of file flow_graph_opencl_node.h.

The documentation for this class was generated from the following file:

- flow_graph_opencl_node.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.